@import url("https://fonts.googleapis.com/css2?family=Roboto+Condensed:ital,wght@0,100..900;1,100..900&family=Roboto+Mono:ital,wght@0,100..700;1,100..700&family=Sixtyfour&display=swap");
/*global*/
:root {
  --preto: #0f0e0e;
  --branco: #fdf7fa;
  --verde: #23ce6b;
  --cinza: #857e7b;
  --cinza2: #8a817c;
}
html{
    scroll-behavior: smooth;
}
* {
  margin: 0;
  padding: 0;
  text-decoration: none;
  list-style: none;
  box-sizing: border-box;
  font-family: "Roboto Mono", monospace;
}
body {
  background-color: var(--branco);
}
/*navbar*/
.navbar {
  background-color: var(--preto);
}
.btn {
  color: var(--preto);
  background-color: var(--verde);
}
.btn:hover {
  color: var(--verde);
  border: 2px solid var(--verde);
}
.offcanvas-body,
.offcanvas-header {
  background-color: var(--preto);
}
.navbar .nav-link:hover{
  text-decoration: underline 2px solid var(--cinza);
  text-underline-offset: 0.5rem;
}
/*nav responsiva*/
.navbar-brand{
  color: var(--branco);
}
.navbar-expand-lg{
  display: none;
}
/*home*/
#home {
    margin-top: 10%;
  padding: 3%;
  width: 100%;
  display: flex;
  flex-direction: column;
}
.card-home, .card-sobre {
    height: 100%;
  width: 100%;
  line-height: 1.5rem;
  color: var(--cinza2);
}
.card-home h2, .card-sobre h2 {
  font-size: 1.5rem;
  color: var(--preto);
  font-weight: bold;
}
.card-home input {
  border-radius: 0.3rem;
  border: 2px solid var(--preto);
  padding: 2%;
  margin-right: 0.2rem;
}
.card-home button {
  background-color: var(--preto);
  color: var(--branco);
  border-radius: 0.3rem;
  padding: 3%;
  border: none;
  margin-bottom: 0.5rem;
}
.card-home div p{
    width: 100%;
}
.card-home img, .card-sobre img{
    width: 100%;
    border-radius: 0.6rem;
}
.card-home div{
    display: flex;
    justify-content: space-around;
    width: 100%;
    align-items: center;
    
}
.card-home div span{
   text-align: center;
   color: var(--preto);
}
#sobre{
    padding: 3%;
    display: flex;
    flex-direction: column;
    width: 100%;
    margin-top: 10%;
}
.card-sobre img{
    float: left;
}
/*planos*/
#plano{
    padding: 3%;
}
.container-plano{
    display: grid;
    grid-template-columns: repeat(1,1fr);
    padding: 3%;
}
.card-plano{
    width: 100%;
    height: 90%;
    box-shadow:  2px 4px 2px rgba(0, 0, 0, 0.5);
    margin: 3%;
    padding: 3%;
    border-radius: 0.5rem;
}
.card-plano img{
    width: 100%;
    height: 75%;
    border-radius: 0.5rem;
}
#perfil-coment{
  padding: 3%;
  display: grid;
  grid-template-columns: repeat(1, 1fr);
  width: 100%;
}
#perfil-coment h2{
  color: var(--preto);
}
.card-perfil{
 display: flex;
 align-items: center;
 flex-direction: column;
  width: 100%;
}
.card-perfil span{
  float: left;
  font-size: 1.6rem;

  width: 100%;
}
.perfil{
  display: flex;
  width: 100%;
  align-items: center;
  color: var(--preto);
  margin-bottom: 2%;
}
.perfil img{
  width: 3rem;
  height: 3rem;
  margin-right: 3%;
  border-radius: 50%;
}
#container-form{
  padding: 3%;
}
form input{
  margin: 0.5rem;
  width: 100%;
  padding: 1% 0;
  border-radius: 0.2rem;
  border: 1px solid var(--preto);
}
#submit{
  background-color: var(--verde);
}
#inscreva{
  background: url("../img/riodejaneiro.jpg") center center;
  width: 100%;
  background-size: cover;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  padding: 3%;
}
#inscreva h2{
  text-align: center;
  color: var(--branco);
}
#inscreva div{
  display: flex;
  width: 100%;
}
#inscreva input{
  width: 30%;
  border-radius: 0.3rem;
  border: none;
}
#inscreva #email2{
  width: 65%;
  margin-right: 2%;
}
footer{
  padding: 3%;
  color: var(--cinza);
  background-color: var(--preto);
}
.card-footer{
  display: grid;
  grid-template-columns: repeat(1, 1fr);
  justify-content: baseline;
  align-items: baseline;
}
footer h3{
  display: flex;
  width: 100%;
  color: var(--branco);
}
footer ul{
  display: flex;
  flex-direction: column;
  line-height: 2rem;
}
footer a, .nav-link{
color: var(--cinza);
text-decoration: none;
}
.copy{
 display: flex;
  justify-content: center;
  flex-direction: column;
  align-items: center;
  width: 100%;
}
footer a:hover, .nav-link:hover{
  color: var(--verde);
  text-decoration: underline 2px var(--preto) solid;
  text-underline-offset: 0.5rem;
}
.copy div{
  display: flex;
  justify-content: center;
  width: 100%;
}
.copy .fa-brands{
  margin: 1%;
  color: var(--cinza2);
}
.copy .fa-brands:hover{
color: var(--verde);
}
.card-inscre{
  display: flex;
  flex-direction: column
}
@media screen and (min-width:600px){
  #home, #sobre{
    flex-direction: row;
    justify-content: space-around;
  }
  .card-home  button{
    padding: 2.5%;
  }
  .container-plano{
    grid-template-columns: repeat(2, 1fr);
    width: 100%;
    
  } 
  .card-plano{
    width: 80%;
    margin: 3%;
    min-height: 100%;
  }
  #container-form{
    display: flex;
    justify-content: center;
    align-items: center;
  }
  form{
    width: 60%;
  }
  #inscreva{
    width: 100%;
  }
  .card-inscre{
    max-width: 60%;
  }
  .card-footer{
    grid-template-columns: repeat(2, 1fr);
  }
  .card-footer div{
    margin: 3%;
  }
  .copy{
    width: 100%;
    flex-direction: row;
    align-items: center;
    justify-content: center;
  }
  .copy div{
    width: 50%;
    font-size: 2rem;
  }
}
@media screen and (min-width:1100px){
.navbar-dark{
  display: none;
}
.navbar-expand-lg{
  display: block;
}
  .container-plano{
    grid-template-columns: repeat(4, 1fr);
    width: 100%;
  } 
  .card-plano{
    width: 90%;
    
  }
  #perfil-coment article{
    margin-top: 5%;
    display: grid;
    grid-template-columns: repeat(3, 1fr);
  }
  .card-perfil{
    width: 90%;
  }
  form{
    width: 45%;
  }
  footer{
    display: flex;
    flex-direction: column;
    width: 100%;
    justify-content: space-around;
  }
  .card-footer{
    grid-template-columns: repeat(3, 1fr);
  }
  .card-home, .card-sobre{
    width: 35%;
  }
}